body {
    font-family: Arial, sans-serif;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

li {
    padding: 12px;
    background-color: #1f2937;
    border: 1px solid #1f2937;
    cursor: pointer;
    user-select: none;
    transition: background-color 0.2s;
}

li:hover {
    background-color: #113f0317;
}

/* Submenu estilizado */
.submenu {
    max-height: 0;
    overflow: hidden;
    background-color: #1f2937;
    transition: max-height 0.4s ease, padding 0.3s ease;
    padding: 0 12px;
}

.submenu li {
    background-color: #1f2937;
    padding: 10px;
    margin: 2px 0;
    border-left: 3px solid #25572080;
}

/* Classe para expandir */
.submenu.open {
    max-height: 200px; /* Ajuste conforme seu conteúdo */
    padding: 8px 12px;
}
